// *****************************************************************************
// Archivo: Asistencia.h
// Descripcin: Clase Asistencia (header)
// Autor: Ezequiel Gastn Miravalles
// ltima modificacin: 22/05/2009
// Website: http://www.neoegm.com/
// *****************************************************************************

/*******************************************************************************
	Copyright (C) 2009 Ezequiel Gastn Miravalles

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/

#pragma once

#include "Hora.h"
#include "String.h"

class Asistencia
{
public:
	enum ETipoAsistencia
	{
		Asistencia_Tipo_Ingreso = 1,
		Asistencia_Tipo_Salida,
		Asistencia_Tipo_Almuerzo_Salida,
		Asistencia_Tipo_Almuerzo_Entrada
	};

private:
	Hora m_hHoraEvento;
	ETipoAsistencia m_nTipo;
	String m_sJustificacion;

public:
	ETipoAsistencia Tipo() const { return m_nTipo; }
	void Tipo(ETipoAsistencia val) { m_nTipo = val; }
	void Tipo(int val) { m_nTipo = (ETipoAsistencia)val; }

	Hora HoraEvento() const { return m_hHoraEvento; }
	void HoraEvento(Hora val) { m_hHoraEvento = val; }

	String Justificacion() const { return m_sJustificacion; }
	void Justificacion(String val) { m_sJustificacion = val; }

	const char *TipoTexto();
};

std::ostream& operator<<(std::ostream& oStream, Asistencia& raAsistencia);
